"""
This module contains a Caribou migration.

Migration Name: settings
Migration Version: 20241217000747
"""


def upgrade(connection):
    sql = """
    create table settings(
        id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
        user_id VARCHAR(255) NOT NULL UNIQUE,
        automatic_generation_timer INTENGER NOT NULL DEFAULT 300,
        automatic_quote_timer INTEGER NOT NULL DEFAULT 500,
        mods VARCHAR(255),
        created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
        last_updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
        FOREIGN KEY (user_id) REFERENCES users(user)
    );
    """
    connection.execute(sql)
    connection.commit()


def downgrade(connection):
    # add your downgrade step here
    pass
